<?php

namespace App\Enums;

use App\Traits\Enum\WithComment;
use App\Traits\Enum\WithValue;

enum RoleEnum: string
{
    use WithComment, WithValue;

    case DEVELOPER = 'Developer';
    case OWNER = 'Pemilik';
    case ADMINISTRATOR = 'Administrator';

    public static function options(): array
    {
        return collect(self::cases())
            ->mapWithKeys(fn ($case) => [$case->value => $case->value])
            ->toArray();
    }
}
